# Generated from soapforce-0.8.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name soapforce

Name: rubygem-%{gem_name}
Version: 0.8.0
Release: 1%{?dist}
Summary: Wraps Savon with helper methods and custom types for interacting with the Salesforce SOAP API
License: MIT
URL: https://github.com/TinderBox/soapforce
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.14.0
# BuildRequires: rubygem(rspec) < 4.0.0
# BuildRequires: rubygem(webmock) >= 2.3.2
# BuildRequires: rubygem(simplecov) >= 0.9.0
# BuildRequires: rubygem(simplecov) < 1.0.0
BuildArch: noarch

%description
A ruby client for the Salesforce SOAP API based on Savon.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/resources
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/soapforce.gemspec
%{gem_instdir}/spec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.8.0-1
- Initial package
